<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DeviceConsistencyCodeMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $generation = null;
    


    protected $signature = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getGeneration()
    {
        return isset($this->generation) ? $this->generation : 0;
    }

    public function hasGeneration()
    {
        return isset($this->generation);
    }

    public function clearGeneration()
    {
        unset($this->generation);
    }

    




    public function setGeneration($var)
    {
        GPBUtil::checkUint32($var);
        $this->generation = $var;

        return $this;
    }

    



    public function getSignature()
    {
        return isset($this->signature) ? $this->signature : '';
    }

    public function hasSignature()
    {
        return isset($this->signature);
    }

    public function clearSignature()
    {
        unset($this->signature);
    }

    




    public function setSignature($var)
    {
        GPBUtil::checkString($var, False);
        $this->signature = $var;

        return $this;
    }

}

